package org.apidesign.demo.minesweeper;

import java.net.URL;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.robovm.cocoatouch.coregraphics.CGRect;
import org.robovm.cocoatouch.foundation.NSAutoreleasePool;
import org.robovm.cocoatouch.foundation.NSDictionary;
import org.robovm.cocoatouch.uikit.UIApplication;
import org.robovm.cocoatouch.uikit.UIApplicationDelegate;
import org.robovm.cocoatouch.uikit.UIColor;
import org.robovm.cocoatouch.uikit.UIScreen;
import org.robovm.cocoatouch.uikit.UIWebView;
import org.robovm.cocoatouch.uikit.UIWindow;

public class RoboVMJFXLauncher extends UIApplicationDelegate.Adapter {
    int clickCount;
    private UIWindow window;
    private UIWebView wv;
    
    @Override
    public boolean didFinishLaunching(UIApplication application, NSDictionary launchOptions) {
        wv = new UIWebView();
        wv.setFrame(new CGRect(0.0f, 0.0f, 800.0f, 1080.0f));
        
        window = new UIWindow(UIScreen.getMainScreen().getBounds());
        window.setBackgroundColor(UIColor.lightGrayColor());
        window.addSubview(wv);
        window.makeKeyAndVisible();

        try {
            IBrwsrPrsntr p = new IBrwsrPrsntr(wv);
            URL u = RoboVMJFXLauncher.class.getResource("pages/index.html");
            p.displayPage(u, new Runnable() {
                @Override
                public void run() {
                    try {
                        Main.onPageLoad();
                    } catch (Exception ex) {
                        Logger.getLogger(RoboVMJFXLauncher.class.getName()).log(Level.SEVERE, null, ex);
                    }
                }
            });
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
        
        return true;
    }

    public static void main(String[] args) throws Exception {
        NSAutoreleasePool pool = new NSAutoreleasePool();
        UIApplication.main(args, null, RoboVMJFXLauncher.class);
        pool.drain();
    }
}
